#find first occurrence of a space (" ") and return the index
def findLocationofFirstSpace(currIndex) :
    while DBrawString[currIndex] != " " :
        currIndex += 1
    return currIndex

# find occurence of newline(\n) from the space character, and return index
def findEndOfLineLocation(currIndex) :
    while DBrawString[currIndex] != "\n" :
        currIndex += 1
    return currIndex

# open the pre-existing DB file withe the 4 famous people and their data
DBfile = open("Simplified Database of 4 famous People.txt", "r")
DBrawString = DBfile.read()
DBfile.close()

# for debugging purposes
print(DBrawString)

# listOfPeople will be a list of dictionaries containing their data
# data will be the 4 categories and the personal info in each category
listOfPeople = []

currentIndex = 0
for person in range(4) :
    listOfPeople.append({})
    for data in range(4) :
        nextIndex = findLocationofFirstSpace(currentIndex)
        endOfLineIndex = findEndOfLineLocation(nextIndex)
        
        #categories are: Name, Year_of_Birth, Occupation, Nationality.
        category = DBrawString[currentIndex : nextIndex]
        personInfo = DBrawString[nextIndex + 1 : endOfLineIndex]
        
        listOfPeople[person][category] = personInfo
        
        currentIndex = endOfLineIndex + 1
    currentIndex += 1 #skip the blank line between each person's data
    print(listOfPeople[person])
